package org.simantics.charts.editor;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;
import org.simantics.g2d.canvas.ICanvasContext;
import org.simantics.g2d.utils.CanvasUtils;
import org.simantics.scenegraph.g2d.events.command.Command;

/**
 * @author Tuukka Lehtonen
 */
public class SendCommandAction extends Action {

    private final ICanvasContext ctx;
    private final Command command;

    public SendCommandAction(String name, ImageDescriptor image, ICanvasContext ctx, Command command) {
        super(name, image);
        this.ctx = ctx;
        this.command = command;
    }

    @Override
    public void run() {
        CanvasUtils.sendCommand(ctx, command);
    }

}
