/*******************************************************************************
 * Copyright (c) 2012 Association for Decentralized Information Management in
 * Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.charts.ui;

import java.io.File;
import java.util.Collection;
import java.util.Deque;
import java.util.HashSet;

import org.simantics.db.common.NamedResource;
import org.simantics.db.management.ISessionContext;
import org.simantics.history.csv.ColumnSeparator;
import org.simantics.history.csv.DecimalSeparator;
import org.simantics.history.csv.ExportInterpolation;
import org.simantics.project.IProject;

/**
 * @author Antti Villberg
 */
public class CSVExportPlan {
	
    // Input
    ISessionContext sessionContext;
    IProject        project;
    Object          selection;
    Deque<String>   recentLocations;

    // Output
    Collection<NamedResource>   models = new HashSet<NamedResource>();
    File            exportLocation;

    
    double				startTime;
    double				timeStep;
    DecimalSeparator	decimalSeparator;
    ColumnSeparator		columnSeparator;
    boolean             resample;
    ExportInterpolation samplingMode;
    int					timeDigits;
    int					floatDigits;
    int					doubleDigits;


    /**
     * <code>true</code> if the model should be overwritten without a warning.
     */
    boolean         overwrite;

    CSVExportPlan(ISessionContext sessionContext, Deque<String> recentLocations) {
        this.sessionContext = sessionContext;
        this.recentLocations = recentLocations;
    }

}